import { Request, Response } from 'express';
import { getData } from './excelDataService'
import { DataExtractor } from './util/dataExtractor';


export const test = async (req: Request, res: Response) => {
    res.status(200).send("Success!");
};

export const getDataFromSheet = async (req: Request, res: Response) => {
    const { file, sheet } = req.params;
    try {
        const decodedFile = decodeURIComponent(file);
        const decodedSheet = decodeURIComponent(sheet);
        const data = await getData(decodedFile, decodedSheet);
        res.json(data);
    } catch (error) {
        res.status(500).send("error getting data");
    }
};

